Name:             nvmetcli
Version:          0.7
Release:          1
Summary:          A command line interface for the kernel NVMe nvmet
License:          ASL 2.0
URL:              ftp://ftp.infradead.org/pub/nvmetcli/
Source:           ftp://ftp.infradead.org/pub/nvmetcli/%{name}-%{version}.tar.gz
Patch00:        backport-0001-nvmetcli-don-t-remove-ANA-Group-1-on-clear.patch
Patch01:        backport-0002-README-Update-URL-for-configshell-fb.patch
Patch02:        backport-0003-nvmetcli-Improve-IOError-handling-on-restore.patch
Patch03:        backport-0004-nvme-py-Explicit-close-is-redundant.patch
Patch04:        backport-0005-nvme-py-Sync-the-containing-directory.patch
Patch05:        backport-0006-nvme-py-Make-modprobe-work-for-kmod-lib-too.patch
Patch06:        backport-0007-test_nvmet-py-test_invalid_input-fails-for-py3.patch
Patch07:        backport-0008-nvmetcli-Report-save-name-correctly.patch
Patch08:        backport-0009-nvmetcli-Allow-different-devices-for-make-test.patch
Patch09:        backport-0010-nvmetcli-Correct-xrange-usage-for-py3.patch
Patch10:        backport-0011-nvmetcli-add-a-tcp-example-json.patch
Patch11:        backport-0012-Documentation-fix-typo.patch

BuildArch:        noarch
BuildRequires:    make
BuildRequires:    python3-devel python3-setuptools systemd-units asciidoc xmlto

Requires:         python3-configshell python3-kmod nvmetcli-help
Requires(post):   systemd
Requires(preun):  systemd
Requires(postun): systemd

%description
nvmetcli is a program used for viewing, editing, saving,
and starting a Linux kernel NVMe Target, used for an NVMe-over-Fabrics
network configuration.  It allows an administrator to export
a storage resource (such as NVMe devices, files, and volumes)
to a local block device and expose them to remote systems
based on the NVMe-over-Fabrics specification from http://www.nvmexpress.org.

%package          help
Summary:          Documents for nvmetcli

BuildArch:        noarch

%description      help
The nvmetcli-help package contains related documents.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%{__python3} setup.py build
cd Documentation
make
gzip --stdout nvmetcli.8 > nvmetcli.8.gz

%install
%{__python3} setup.py install --skip-build --root %{buildroot}
install -d %{buildroot}%{_unitdir}
install -d %{buildroot}%{_sysconfdir}/nvmet
install -m 644 -D nvmet.service %{buildroot}%{_unitdir}/nvmet.service
install -m 644 -D Documentation/nvmetcli.8.gz %{buildroot}%{_mandir}/man8/nvmetcli.8.gz

%post
%systemd_post nvmet.service

%preun
%systemd_preun nvmet.service

%postun
%systemd_postun_with_restart nvmet.service

%files
%doc COPYING
%{python3_sitelib}/*
%dir %{_sysconfdir}/nvmet
%{_sbindir}/nvmetcli
%{_unitdir}/nvmet.service

%files            help
%doc README
%{_mandir}/man8/nvmetcli.8.gz

%changelog
* Mon Dec 27 2021 Ge Wang <wangge20@huawei.com> - 0.7-1
- update to version 0.7

* Fri Nov 6 2020 jialei <jialei17@huawei.com> - 0.4-7
- add help for Requires

* Sat Nov 30 2019 Jiangping Hu <hujiangping@huawei.com> - 0.4-6
- Package init
